Skip to main content

Get a client by external ID

GET 

/nevisidm/api/core/v1/clients/:extId

Since: 2.71.0

Required permission(s): AccessControl.ClientView

Returns the client matching the specified external ID, including its language-dependent display names.

Request

Path Parameters

    extId stringrequired

    External ID of the client.

    Example: client-123

Responses

Client found

Schema
    created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    External ID of the client. Assigned during creation and cannot be changed afterwards.

    name string

    Internal name of the client. Must be unique across all clients.

    displayName object

    Language-dependent display name of the client. Keys: EN, DE, FR, IT.

    property name* string
Loading...